Skip to main content
POST
/
v2
/
giftcards
/
programs
/
{programId}
/
cards
/
{cardId}
/
redeem
Redeemgiftcard
curl --request POST \
  --url https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/{cardId}/redeem \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 1.01,
  "posTransactionId": "<string>",
  "cashierId": "<string>",
  "terminalId": "<string>",
  "description": "<string>"
}
'
{
  "transactionId": "5eb7cf5a86d9755df3a6c593",
  "giftCardId": "5eb7cf5a86d9755df3a6c593",
  "amountRedeemed": "<string>",
  "remainingBalance": "<string>",
  "success": true,
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

idempotency-key
string | null
X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Path Parameters

programId
string | null
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

cardId
string | null
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json
amount
required
Required range: x >= 0.01
posTransactionId
string | null
Maximum string length: 100
cashierId
string | null
Maximum string length: 50
terminalId
string | null
Maximum string length: 50
description
string | null
Maximum string length: 500

Response

Successful Response

transactionId
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

giftCardId
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

amountRedeemed
string
required
remainingBalance
string
required
success
boolean
required
message
string
required